

ojciec(adam,bogdan).
ojciec(adam,czeslaw).
ojciec(adam,anna).

matka(anna,janek).
matka(ewa,bogdan).
matka(ewa,anna).

rodzic(X,Y) :- ojciec(X,Y).
rodzic(X,Y) :- matka(X,Y).

dziadek(X,Z,R) :- ojciec(X,R),rodzic(R,Z).
dziadek(X,Z) :- ojciec(X,R),rodzic(R,Z).

m(adam).
m(bogdan).
m(czeslaw).

k(ewa).
k(anna).

brat(B,X):- 
   ojciec(P,B),
   ojciec(P,X),
   m(B),
   B \= X.

brat(B,X):- 
   matka(P,B),
   matka(P,X),
   m(B),
   B \= X.

siostra(S,X):-
   ojciec(K,S),
   ojciec(K,X),
   k(S),
   S \= X.
